<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?><!--  Copyright (c) 2000-2005 MetaMatrix, Inc.  All rights reserved. --><plugin id="com.metamatrix.modeler.transformation" name="%pluginName" version="5.0.1"
        provider-name="%providerName"
        class="com.metamatrix.modeler.transformation.TransformationPlugin">

   <runtime>
      <library name="modelerTransformation_PATCH.jar">
         <export name="*"/>
      </library>
      <library name="modelerTransformation.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="com.metamatrix.common" export="true"/>
      <import plugin="com.metamatrix.modeler.core" export="true"/>
      <import plugin="com.metamatrix.query" export="true"/>
      <import plugin="org.eclipse.core.runtime"/>
      <import plugin="com.metamatrix.metamodels.relational"/>
      <import plugin="com.metamatrix.metamodels.xml"/>
      <import plugin="com.metamatrix.query.function"/>
      <import plugin="com.metamatrix.modeler.xml"/>
      <import plugin="com.metamatrix.metamodels.webservice"/>
      <import plugin="com.metamatrix.core.index"/>
   </requires>


   <extension-point id="userDefinedFunctionModel" name="User Defined Function Model"
                    schema="schema/userDefinedFunctionModel.exsd"/>

   <!-- MetamodelAspect extensions -->
   <extension id="transformationValidationAspect"
              point="com.metamatrix.modeler.core.validationAspect">
      <metamodelExtensionID>
         transformation
      </metamodelExtensionID>
      <factoryClass name="com.metamatrix.modeler.transformation.aspects.validation.TransformationValidationAspectFactoryImpl">
      </factoryClass>
   </extension>
   <extension id="transformationUmlAspect"
              point="com.metamatrix.modeler.core.umlDiagramAspect">
      <metamodelExtensionID>
         transformation
      </metamodelExtensionID>
      <factoryClass name="com.metamatrix.modeler.transformation.aspects.uml.TransformationUmlAspectFactoryImpl">
      </factoryClass>
   </extension>
   <extension id="transformationSqlAspect" point="com.metamatrix.modeler.core.sqlAspect">
      <metamodelExtensionID>
         transformation
      </metamodelExtensionID>
      <factoryClass name="com.metamatrix.modeler.transformation.aspects.sql.TransformationSqlAspectFactoryImpl">
      </factoryClass>
   </extension>
   <!-- EObject Matcher extensions -->
   <extension id="transformationMatcherFactory"
              point="com.metamatrix.modeler.core.eobjectMatcherFactory">
      <class name="com.metamatrix.modeler.transformation.compare.TransformationMatcherFactory">
      </class>
   </extension>
   <!-- Other extensions -->
   <extension id="userDefinedFunctions" name="%userDefinedFunctionModel"
              point="com.metamatrix.modeler.transformation.userDefinedFunctionModel">
      <model url="platform:/plugin/com.metamatrix.modeler.transformation/FunctionDefinitions.xmi">
      </model>
   </extension>   
   <extension id="transformationReferenceUpdator"
              point="com.metamatrix.modeler.core.referenceUpdator">
      <class name="com.metamatrix.modeler.internal.transformation.util.TransformationReferenceUpdator">
      </class>
   </extension>
         <!-- Helper method to allow external edit for objects. i.e. Delete, Copy, etc.. -->
   <extension id="transformationNewModelObjectHelper"
              name="%transformationNewModelObjectHelper"
              point="com.metamatrix.modeler.core.newModelObjectHelper">
      <class name="com.metamatrix.modeler.internal.transformation.util.TransformationNewModelObjectHelper">
      </class>
   </extension>
</plugin>